# ACCELERATOR DEFINITION FILE by Jeff Doozan & Brian Harris

# Any changes will take effect after K-Meleon is restarted




MButton = ID_OPEN_LINK_IN_BACKGROUNDTAB

CTRL MBUTTON = luamacro(viewlinkimage)


CTRL O = ID_FILE_OPEN
CTRL P = ID_FILE_PRINT
CTRL ALT P = ID_FILE_PRINTPREVIEW

CTRL ALT VK_F4   = ID_APP_EXIT
VK_F1 = ID_LINK_KMELEON_MANUAL

# CTRL X = ID_EDIT_CUT
# CTRL C = ID_EDIT_COPY
# CTRL V = ID_EDIT_PASTE
# CTRL Z = ID_EDIT_UNDO

# CTRL VK_DELETE  = ID_EDIT_CUT
# CTRL VK_INSERT  = ID_EDIT_COPY
# SHIFT VK_INSERT = ID_EDIT_PASTE
# ALT VK_BACK = ID_EDIT_UNDO

CTRL A = ID_EDIT_SELECT_ALL

ALT VK_LEFT  = ID_NAV_BACK
ALT VK_RIGHT = ID_NAV_FORWARD

#VK_BACK = ID_NAV_BACK

VK_ESCAPE = ID_NAV_STOP

CTRL R = ID_NAV_RELOAD
VK_F5  = ID_NAV_RELOAD
CTRL SHIFT R = ID_NAV_FORCE_RELOAD

#CTRL U = ID_VIEW_SOURCE
CTRL U = luamacro(dl1)
CTRL I = ID_VIEW_PAGE_INFO

CTRL ALT S = ID_VIEW_STATUS_BAR


CTRL H = History(View)
#CTRL H = macros(History)


ALT VK_HOME = luamacro(home)

VK_F6  = ID_SELECT_URL
CTRL ` = ID_SELECT_URL
ALT D  = ID_SELECT_URL

CTRL VK_PLUS = ID_FONT_INCREASE
CTRL VK_ADD = ID_FONT_INCREASE
CTRL VK_MINUS = ID_FONT_DECREASE
CTRL VK_SUBTRACT = ID_FONT_DECREASE 

%ifplugin bookmarks
CTRL D = bookmarks(add)
CTRL B = bookmarks(edit)
%endif

%ifplugin fullscreen
VK_F11 = fullscreen()
%endif

CTRL F = ID_EDIT_FIND
CTRL SHIFT F = ID_TOGGLE_FINDBAR
VK_F3  = ID_EDIT_FINDNEXT
SHIFT VK_F3 = ID_EDIT_FINDPREV

CTRL VK_TAB = ID_TAB_NEXT
CTRL SHIFT VK_TAB = ID_TAB_PREV 
CTRL T = ID_NEW_TAB
CTRL N = ID_NEW_BROWSER
CTRL VK_NEXT = ID_TAB_NEXT
CTRL VK_PRIOR = ID_TAB_PREV 
CTRL VK_F4 = ID_CLOSE_TAB
CTRL W = ID_CLOSE_TAB
CTRL LButton = ID_OPEN_LINK_IN_NEW_TAB 
CTRL RButton = ID_OPEN_LINK_IN_BACKGROUNDTAB

CTRL N = ID_NEW_BROWSER
#CTRL W = ID_FILE_CLOSE
CTRL LButton = ID_OPEN_LINK_IN_NEW_WINDOW
CTRL RButton = ID_OPEN_LINK_IN_BACKGROUND


CTRL VK_F7 = ID_WINDOW_NEXT
CTRL SHIFT VK_F7 = ID_WINDOW_PREV


#CTRL S = macros(SavePage)

#CTRL ALT VK_HOME = macros(OpenStart)

#ALT ' = macros(OpenInNew)
#ALT / = macros(OpenInNew)
#CTRL ALT N = macros(OpenInNew)

#CTRL ALT V = macros(PasteGo)
#CTRL SHIFT V = macros(PasteSearch)

CTRL ALT VK_ADD = luamacro(zoominpage
CTRL ALT VK_PLUS = luamacro(zoominpage)
CTRL ALT VK_MINUS = luamacro(zoomoutpage)
CTRL ALT VK_SUBTRACT = luamacro(zoomoutpage)
ALT VK_ADD = luamacro(zoominimages)
ALT VK_PLUS = luamacro(zoominimages)
ALT VK_MINUS = luamacro(zoomoutimages)
ALT VK_SUBTRACT = luamacro(zoomoutimages)

VK_F8 = luamacro(PBToggle)
VK_F9 = luamacro(ImgToggle)

#CTRL ALT I = luamacro(urliniE)
CTRL VK_F3 = luamacro(highlight)
#CTRL SHIFT L = macros(URL)
CTRL G = luamacro(search.Search)

CTRL S = ID_FILE_SAVE_AS
CTRL SHIFT L = ID_FILE_OPEN


%ifplugin rebarmenu & macros
#ALT S = rebarmenu(Web Search)
ALT U = rebarmenu(User Agent)
%endif

%ifplugin rebarmenu & macros|privacy
ALT P = rebarmenu(Privacy)
%endif

#--------- CCF special -------------#
#ALT C = rebarmenu(CCF)
#ALT Z = macros(CCFpageselect)

ALT C = luamacro(showCCFmenu)

#--------- Hotkeys -----------------#

CTRL 0 = luamacro(hotlink0)
CTRL 1 = luamacro(hotlink1)
CTRL 2 = luamacro(hotlink2)
CTRL 3 = luamacro(hotlink3)
CTRL 4 = luamacro(hotlink4)
CTRL 5 = luamacro(hotlink5)
CTRL 6 = luamacro(hotlink6)
CTRL 7 = luamacro(hotlink7)
CTRL 8 = luamacro(hotlink8)
CTRL 9 = luamacro(hotlink9)


#CTRL M = macros(open_nick_macro)

ALT W = luamacro(weather)

#ALT A = luamacro(cyberarticle)

ALT A = luamacro(xiteksort)

ALT Q = luamacro(ViewAllImages)

#ALT V = macros(clearad)

#ALT E = macros(saveallimages)


CTRL L =luamacro(quickgroupmenu)

VK_F4 = bookmarks(sidebar)

CTRL VK_LEFT = luamacro(gotoPrevious)
CTRL VK_RIGHT = luamacro(gotoNext)

ALT A = luamacro(qsaver)

#CTRL VK_RETURN = luamacro(domComplete0)
CTRL ALT VK_RETURN = luamacro(domComplete1)
CTRL SHIFT VK_RETURN = luamacro(domComplete2)

ALT G = luamacro(search.Search(dictcn))

ALT P = gestures(view)

ALT E = luamacro(quickbookmark)

CTRL R = luamacro(feelinglucky)

CTRL M = luamacro(runmacro)

#ALT Z = luamacro(dominspect)

ALT Z = luamacro(objurl)

ALT R = luamacro(tt_capture)

ALT Y = ID_TOGGLE_TITLE

CTRL ALT S = luamacro(mhtsave)

CTRL ALT S = luamacro(kmasave)